#ifndef FUNCDEFS_H
#define FUNCDEFS_H

#define _LB_SetSysTimeOut			        0		//(long newTimeout);
#define _LB_DriverVersion					1		//(void);
#define _LB_SensorCnt						2		//(void);
#define _LB_BlinkLED_SN						3		//(char* SN);
#define _LB_BlinkLED_Addr					4		//(long addr);
#define _LB_BlinkLED_Idx					5		//(long idx);
#define _LB_SensorList						6		//(struct SensorDescrption* SD, long cnt);
#define _LB_GetAddress_SN					7		//(char* SN);
#define _LB_GetAddress_Idx				    8		//(long idx);
#define _LB_SetAddress_SN					9		//(char* SN, long addr);
#define _LB_AddressConflictExists			10		//(void);
#define _LB_WillAddressConflict				11		//(long addr);
#define _LB_GetSerNo_Addr					12		//(long addr, char* SN);
#define _LB_ChangeAddress					13		//(long currentAddr, long newAddr);
#define _LB_GetModelNumber_SN				14		//(char* SN, enum MODEL_NUMBER* modelNumber);
#define _LB_GetModelNumber_Addr				15		//(long addr, enum MODEL_NUMBER* modelNumber);
#define _LB_IsSensorConnected_SN			16		//(char* SN);
#define _LB_IsSensorConnected_Addr			17		//(long addr);
#define _LB_SetAutoPulseEnabled				18		//(long addr, enum FEATURE_STATE st);
#define _LB_GetAutoPulseEnabled				19		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetCWReference					20		//(long addr, double relRef, enum PWR_UNITS units);
#define _LB_GetCWReference					21		//(long addr, double* relRef, enum PWR_UNITS* units);
#define _LB_SetCurrentState					22		//(long addr, struct SensorState state);
#define _LB_SetRegState						23		//(long addr, long regIdx, struct SensorState state);
#define _LB_GetCurrentState					24		//(long addr, struct SensorState* state);
#define _LB_GetRegState						25		//(long addr, long regIdx, struct SensorState* state);
#define _LB_SetDoubleSidedLimit				26		//(long addr, double lowerVal, double upperVal, enum PWR_UNITS units, enum DS_RULE passFail);
#define _LB_GetDoubleSidedLimit				27		//(long addr, double* lowerVal, double* upperVal, enum PWR_UNITS* units, enum DS_RULE* passFail);
#define _LB_SetDutyCycleEnabled				28		//(long addr, enum FEATURE_STATE st);
#define _LB_GetDutyCycleEnabled				29		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetDutyCyclePerCent				30		//(long addr, double val);
#define _LB_GetDutyCyclePerCent				31		//(long addr, double* val);
#define _LB_GetFirmwareVersion				32		//(long addr, char* buff, long buffLen);
#define _LB_GetIndex_SN					    33		//(char* SN);
#define _LB_GetIndex_Addr					34		//(long addr);
#define _LB_SetLimitEnabled					35		//(long addr, enum LIMIT_STYLE lmtStyle);
#define _LB_GetLimitEnabled					36		//(long addr, enum LIMIT_STYLE* lmtStyle);
#define _LB_SetMeasurementPowerUnits		37		//(long addr,enum PWR_UNITS units);
#define _LB_GetMeasurementPowerUnits		38		//(long addr,enum PWR_UNITS* units);
#define _LB_GetModelNumber_Idx			    39		//(long idx, enum MODEL_NUMBER* modelNumber);
#define _LB_SetOffsetEnabled				40		//(long addr, enum FEATURE_STATE st);
#define _LB_GetOffsetEnabled				41		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetPulseReference				42		//(long addr,double pulseRef, double PeakRef, double averageRef, double dutyCycleRef, enum PWR_UNITS units);
#define _LB_GetPulseReference				43		//(long addr, double* pulseRef, double* PeakRef, double* averageRef, double* dutyCycleRef, enum PWR_UNITS* units);
#define _LB_SetResponseEnabled				44		//(long addr, enum FEATURE_STATE st);
#define _LB_GetResponseEnabled				45		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetResponse						46		//(long addr, struct ResponsePoints* pts, long NumPts);
#define _LB_SetResponse_Flat				47		//(long addr, double* freq, double* amplitude, long NumPts);
#define _LB_GetResponse						48		//(long addr, struct ResponsePoints* pts, long* NumPts);
#define _LB_GetResponse_Flat				49		//(long addr, double* freq, double* amplitude, long* NumPts);
#define _LB_GetSerNo_Idx					50		//(long idx, char* SN);
#define _LB_SetSerialNumber					51		//(long idx, long PW, char* SN);
#define _LB_SetSingleSidedLimit				52		//(long addr, double val, enum PWR_UNITS units, enum SS_RULE passFail);
#define _LB_GetSingleSidedLimit				53		//(long addr, double* val, enum PWR_UNITS* units, enum SS_RULE* passFail);
#define _LB_InitializeSensor_Idx			54		//(long idx);
#define _LB_MeasureCW_PF					55		//(long addr, double* CW, enum PASS_FAIL_RESULT* PF);
#define _LB_MeasurePulse_PF					56		//(long addr, double* pulse, double* Peak, double* average, double* dutyCycle, enum PASS_FAIL_RESULT* PF);
#define _LB_ReadStateFromINI				57		//(long addr);
#define _LB_WriteStateToINI					58		//(long addr);
#define _LB_Recall							59		//(long addr, long regIdx);
#define _LB_Store							60		//(long addr, long regIdx);
#define _LB_ResetCurrentState				61		//(long addr);
#define _LB_ResetRegStates					62		//(long addr);
#define _LB_SetAddress_Idx				    63		//(long idx, long addr);
#define _LB_SetOffset						64		//(long addr, double val);
#define _LB_GetOffset						65		//(long addr, double* val);
#define _LB_SetCalDueDate					66		//(char* SN, long lngYear, long lngMonth, long lngDay);
#define _LB_GetCalDueDate					67		//(char* SN, long* year, long* month, long* day);
//#define _LB_SetModelNumber				-68		//(char* SN, long PW, enum MODEL_NUMBER modelNumber);
//#define _LB_SetCalOptExpDate				-69		//(char* SN, long PW, long lngYear, long lngMonth, long lngDay);
#define _LB_GetCalOptExpDate				70		//(char* SN, long* year, long* month, long* day);
//#define _LB_SetWtyOptExpDate				-71		//(char* SN, long PW, long lngYear, long lngMonth, long lngDay);
#define _LB_GetWtyOptExpDate				72		//(char* SN, long* year, long* month, long* day);
//#define _LB_SetConnectorOption			-73		//(char* SN, long PW, long optVal);
#define _LB_GetConnectorOption				74		//(char* SN, long* val);
//#define _LB_SetCalAndWtyOption			-75		//(char* SN, long PW, long optVal);
#define _LB_GetCalAndWtyOption				76		//(char* SN, long* val);
//#define _LB_SetRecorderOutOption			-77		//(char* SN, long PW, long optVal);
#define _LB_GetRecorderOutOption			78		//(char* SN, long* val);
//#define _LB_SetBestMatchOpt				-79		//(char* SN, long PW, long optVal);
#define _LB_GetBestMatchOpt				    80		//(char* SN, long* val);
//#define _LB_SetTriggerOpt					-81		//(char* SN, long PW, long optVal);
#define _LB_GetTriggerOpt					82		//(char* SN, long* val);
//#define _LB_SetFilterOpt					-83		//(char* SN, long PW, long optVal);
#define _LB_GetFilterOpt					84		//(char* SN, long* val);
#define _LB_InitializeSensor_SN				85		//(char* SN);
#define _LB_UninitializeSensor_SN			86		//(char* SN);
#define _LB_InitializeSensor_Addr			87		//(long addr);
#define _LB_GetFrequency					88		//(long addr, double* value);
#define _LB_SetFrequency					89		//(long addr, double value);
#define _LB_GetAverages						90		//(long addr, long* value);
#define _LB_SetAverages						91		//(long addr, long value);
#define _LB_GetPulseCriteria				92		//(long addr, double* value);
#define _LB_SetPulseCriteria				93		//(long addr, double value);
#define _LB_GetTTLTriggerInEnabled			94		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetTTLTriggerInEnabled			95		//(long addr, enum FEATURE_STATE st);
#define _LB_GetTTLTriggerInInverted			96		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetTTLTriggerInInverted			97		//(long addr, enum FEATURE_STATE st);
#define _LB_GetTTLTriggerInTimeOut			98		//(long addr, long* val);
#define _LB_SetTTLTriggerInTimeOut			99		//(long addr, long val);
#define _LB_GetTTLTriggerOutEnabled			100		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetTTLTriggerOutEnabled			101		//(long addr, enum FEATURE_STATE st);
#define _LB_GetTTLTriggerOutInverted		102		//(long addr, enum FEATURE_STATE *st);
#define _LB_SetTTLTriggerOutInverted		103		//(long addr, enum FEATURE_STATE st);
#define _LB_GetAntiAliasingEnabled			104		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetAntiAliasingEnabled			105		//(long addr, enum FEATURE_STATE st);
//#define _LB_GetRecorderOutEnabled			-106	//(long addr, enum FEATURE_STATE* st);
//#define _LB_SetRecorderOutEnabled			-107	//(long addr, enum FEATURE_STATE st);
//#define _LB_GetRecorderOutSetup			-108	//(long addr, double* val_0_V, double* val_1_V, enum PWR_UNITS* units);
//#define _LB_SetRecorderOutSetup			-109	//(long addr, double val_0_V, double val_1_V, enum PWR_UNITS units);
#define _LB_MeasureCW						110		//(long addr, double* CW);
#define _LB_MeasurePulse					111		//(long addr, double* pulse, double* Peak, double* average, double* dutyCycle);
#define _LB_ReInit_Addr						112		//(long addr);
//#define _LB_ReInit_Idx					-113	//(long idx);
#define _LB_GetExtendedAveragingEnabled		114		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetExtendedAveragingEnabled		115		//(long addr, enum FEATURE_STATE st);
#define _LB_GetExtendedAveraging			116		//(long addr, long* extAvg);
#define _LB_SetExtendedAveraging			117		//(long addr, long extAvg);
#define _LB_ResetExtendedAveraging			118		//(long addr);
#define _LB_GetMaxHoldEnabled				119		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetMaxHoldEnabled				120		//(long addr, enum FEATURE_STATE st);
#define _LB_ResetMaxHold					121		//(long addr);
#define _LB_Get75OhmsEnabled				122		//(long addr, enum FEATURE_STATE* st);
#define _LB_Set75OhmsEnabled				123		//(long addr, enum FEATURE_STATE st);
//#define _LB_IsDeviceInUse_Idx				-124	//(long idx);
#define _LB_IsDeviceInUse_Addr				125		//(long addr);
#define _LB_IsDeviceInUse_SN				126		//(char* SN);
#define _LB_SaveCurrStateTo					127		//(long addr, char* stateName);
#define _LB_RestoreCurrStateFrom			128		//(long addr, char* stateName);
#define _LB_GetNamedStateCount				129		//(long addr);
#define _LB_GetNamedStateNames				130		//(long addr, char* names, long *cnt);
#define _LB_DeleteNamedState				131		//(long addr, char* name);
#define _LB_MeasureBurst_DBM				132		//(long addr, long delayUSEC, long measTimeUSEC, long trgInt, double* pk, double *avg, double *min);
#define _LB_CloseRestartSocketServerSocket  133     // ();  // Closes and restarts the socket 
#define _LB_CloseSocketServerApp            134     // ();  // closes the socket and then ends application

#define	_PP_SetSweepTime					135		//(long addr, long SwpTm);
#define	_PP_GetSweepTime					136		//(long addr, long* SwpTm);
#define _PP_SetSweepDelay					137		//(long addr, long SwpDly);
#define _PP_GetSweepDelay					138		//(long addr, long* SwpDly);
#define _PP_SetSweepDelayMode				139		//(long addr, long SwpDlyMode);
#define _PP_GetSweepDelayMode				140		//(long addr, long* SwpDlyMode);
#define _PP_SetSweepHoldOff					141		//(long addr, long SwpHOff);
#define _PP_GetSweepHoldOff					142		//(long addr, long* SwpHOff);
#define _PP_SetFilter						143		//(long addr, enum FLT_CO_FREQ fltrIdx);
#define _PP_GetFilter						144		//(long addr, enum FLT_CO_FREQ* fltrIdx);
#define _PP_SetTriggerSoure					145		//(long addr, enum TRIGGER_SOURCE TrgSrc);
#define _PP_GetTriggerSoure					146		//(long addr, enum TRIGGER_SOURCE* TrgSrc);
#define _PP_SetTriggerLevel					147		//(long addr, double TrgLvl);
#define _PP_GetTriggerLevel					148		//(long addr, double* TrgLvl);
#define _PP_SetTriggerEdge					149		//(long addr, enum TRIGGER_EDGE TrgEdge);
#define _PP_GetTriggerEdge					150		//(long addr, enum TRIGGER_EDGE* TrgEdge);
#define _PP_CheckTrigger					151		//(long addr);
#define _PP_GetTraceLength					152		//(long addr);
#define _PP_GetAnalysisTraceLength			153		//(long addr);
#define _PP_AnalysisTraceIsValid			154		//(long  addr);
#define _PP_GetTrace						155		//(long addr, double *tr, long trLen, long* trUsed);
#define _PP_AcquireTrace					156		//(long addr);
#define _PP_CnvtTrace						157		//(long addr, double* trIn, long trLen, double* trOut, long pwrUnitsIn, long pwrUnitsOut);
#define _PP_CurrTrace2AnalysisTrace			158		//(long addr, double*tr, long trLen);
#define _PP_SetGateMode						159		//(long addr, long gateIdx, enum GATE_MODE mode);
#define _PP_GetGateMode						160		//(long addr, long gateIdx, enum GATE_MODE * mode);
#define _PP_SetGateStartEndPosition			161		//(long addr, long gateIdx, long trSttIdx, long trEndIdx);
#define _PP_GetGateStartEndPosition			162		//(long addr, long gateIdx, long* trSttIdx, long* trEndIdx);
#define _PP_SetGateStartPosition			163		//(long addr, long gateIdx, long trIdx);
#define _PP_GetGateStartPosition			164		//(long addr, long gateIdx, long* trIdx);
#define _PP_SetGateEndPosition				165		//(long addr, long gateIdx, long trIdx);
#define _PP_GetGateEndPosition				166		//(long addr, long gateIdx, long* trIdx);
#define _PP_GetGateStartEndPositionTime		167		//(long addr, long gateIdx, long* sttIdx, double* sttTm, long* endIdx, double* endTm);
#define _PP_GatePositionIsValid				168		//(long addr, long gateIdx, long* valid);
#define _PP_SetGateStartEndTime				169		//(long addr, long gateIdx, double gateSttTm, double gateEndTm);
#define _PP_GetGateStartEndTime				170		//(long addr, long gateIdx, double* gateSttTm, double* gateEndTm);
#define _PP_SetGateStartTime				171		//(long addr, long gateIdx, double gateTm);
#define _PP_GetGateStartTime				172		//(long addr, long gateIdx, double* gateTm);
#define _PP_SetGateEndTime					173		//(long addr, long gateIdx, double gateTm);
#define _PP_GetGateEndTime					174		//(long addr, long gateIdx, double* gateTm);
#define _PP_GetGateAveragePower				175		//(long addr, long gateIdx, double* avgPwr);
#define _PP_GetGatePeakPower				176		//(long addr, long gateIdx, double* pkPwr);
#define _PP_GetGateCrestFactor				177		//(long addr, long gateIdx, double* crFactor);
#define _PP_GetGateDroop					178		//(long addr, long gateIdx, double* droop);
#define _PP_GetGateRiseTime					179		//(long addr, long gateIdx, double* riseTm);
#define _PP_GetGatePulseWidth				180		//(long addr, long gateIdx, double* plsWidth);
#define _PP_GetGatePulsePower				181		//(long addr, long gateIdx, double* plsPwr);
#define _PP_GetGateFallTime					182		//(long addr, long gateIdx, double* fallTm);
#define _PP_GetGateOverShoot				183		//(long addr, long gateIdx, double* overShoot);
#define _PP_GetGateDutyCycle				184		//(long addr, long gateIdx, double* dutyCycle);
#define _PP_GetGatePRF						185		//(long addr, long gateIdx, double* PRFreq);
#define _PP_GetGatePRT						186		//(long addr, long gateIdx, double* PRTime);
#define _PP_SetAvgMode						187		//(long addr, enum AVG_MODE mode);
#define _PP_GetAvgMode						188		//(long addr, enum AVG_MODE *mode);
#define _PP_SetTraceAvgs					189		//(long addr, long averages);
#define _PP_GetTraceAvgs					190		//(long addr, long*averages);
#define _PP_SetAvgResetSens					191		//(long addr, double sensitivity);
#define _PP_GetAvgResetSens					192		//(long addr, double* sensitivity);
#define _PP_SetMarkerMode					193		//(long addr, long mrkIdx, enum MARKER_MODE mode);
#define _PP_GetMarkerMode					194		//(long addr, long mrkIdx, enum MARKER_MODE * mode);
#define _PP_SetMarkerPosition				195		//(long addr, long mrkIdx, long trIdx);
#define _PP_GetMarkerPosition				196		//(long addr, long mrkIdx, long* trIdx);
#define _PP_GetMarkerAmp					197		//(long addr, long mrkIdx, double* mkrAmp);
#define _PP_SetMarkerPositionTime			198		//(long addr, long mrkIdx, double mkrTm);
#define _PP_GetMarkerPositionTime			199		//(long addr, long mrkIdx, double* mkrTm);
#define _PP_MarkerPosIsValid				200		//(long addr, long mrkIdx, long* valid);
#define _PP_MarkerToPk						201		//(long addr, long mrkIdx);
#define _PP_MarkerToLowestPk				202		//(long addr, long mrkIdx);
#define _PP_MarkerPkLower					203		//(long addr, long mrkIdx);
#define _PP_MarkerPkHigher					204		//(long addr, long mrkIdx);
#define _PP_MarkerToFirstPk					205		//(long addr, long mrkIdx);
#define _PP_MarkerToLastPk					206		//(long addr, long mrkIdx);
#define _PP_MarkerPrevPk					207		//(long addr, long mrkIdx);
#define _PP_MarkerNextPk					208		//(long addr, long mrkIdx);
#define _PP_SetMarkerDeltaTime				209		//(long addr, long mrkIdx, double mkrTm);
#define _PP_GetMarkerDeltaTime				210		//(long addr, long mrkIdx, double* mkrTm);
#define _PP_GetPeaks_Idx					211		//(long addr, struct Peak* peaks, long maxPks, long* pksUsed);
#define _PP_GetPeaks_Val					212		//(long addr, struct Peak* peaks, long maxPks, long* pksUsed);
#define _PP_GetPeaks_VEE_Idx				213		//(long addr, long* pkIndicies, double* pkValues, long maxPks,long* pksUsed);
#define _PP_GetPeaks_VEE_Val				214		//(long addr, long* pkIndicies, double* pkValues, long maxPks,long* pksUsed);
#define _PP_GetPeaks_Idx_Flat				215		//(long addr, long* pkIndicies, double* pkValues, long maxPks,long* pksUsed);
#define _PP_GetPeaks_Val_Flat				216		//(long addr, long* pkIndicies, double* pkValues, long maxPks,long* pksUsed);
#define _PP_GetPeaksFromTr_Idx				217		//(double* tr,long trLen, long units, double peakCrit, double measThresh, struct Peak* peaks, long maxPks, long* pksUsed);
#define _PP_GetPeaksFromTr_Val				218		//(double* tr, long trLen, long units, double peakCrit, double measThresh, struct Peak* peaks, long maxPks, long* pksUsed);
#define _PP_SetMeasurementThreshold			219		//(long addr, double measThreshold_dBm);
#define _PP_GetMeasurementThreshold			220		//(long addr, double* measThreshold_dBm);
#define _PP_GetMarkerDeltaAmp				221		//(long addr, long mrkIdx, double* deltaMkrAmp);
#define _PP_SetAnalysisTrace				222		//(long addr, double frequency, double sweepTime, double*tr, long trLen, enum PWR_UNITS units);
#define _PP_SetPoles						223		//(long addr, enum FLT_POLES fltrPoles);
#define _PP_GetPoles						224		//(long addr, enum FLT_POLES* fltrPoles);
#define _PP_SetState						225		//(long addr);
#define _PP_TakeSweep						226		//(long addr);
#define _PP_GetTraceCDF						227		//(long addr, double* trCDF, long trLen);
#define _PP_GetTraceCCDF					228		//(long addr, double* trCCDF, long trLen);
#define _PP_GetTracePwrDensity				229		//(long addr, double* trPD, long trLen);
#define _PP_GetTraceAvgPower				230		//(long addr, double* avgPwr);
#define _PP_GetTraceCrestFactor				231		//(long addr, double* CrF);
#define _PP_GetTracePkPwr					232		//(long addr, double* pkPwr);
#define _PP_GetTracePulsePower				233		//(long addr, double* plsPwr);
#define _PP_GetTraceDC						234		//(long addr, double* dutyCycle);
#define _PP_SetTriggerOut					235		//(long addr, enum TRIGGER_OUT_MODE trgOutMode);
#define _PP_GetTriggerOut					236		//(long addr, enum TRIGGER_OUT_MODE *trgOutMode);
#define _PP_ResendState						237		//(long addr);
#define _PP_ResetTraceAveraging				238		//(long addr);
#define _PP_SetClosestSweepTimeUSEC			239		//(long  addr, long  swpTm);
#define _PP_GetPulseEdgesPosition			240		//(long addr, long pkIdx, long* leftTrIdx, long* rightTrIdx);
#define _PP_GetPulseEdgesTime				241		//(long addr, double pkTime, double* leftSide, double* rightSide);
#define _PP_GetTimeOut						242		//(long addr, long* tmoUSEC);
#define _PP_SetTimeOut						243		//(long addr, long tmoUSEC);
#define _PP_GetAutoTimeOutMode				244		//(long addr, enum FEATURE_STATE *tmoAutoMode);
#define _PP_SetAutoTimeOutMode				245		//(long addr, enum FEATURE_STATE tmoAutoMode);
//#define _PP_GetUndersampling20ms_50ms_100ms	-246		//(long addr, enum FEATURE_STATE tmoUndersampling);
//#define _PP_SetUndersampling20ms_50ms_100ms	-247		//(long addr, enum FEATURE_STATE tmoUndersampling);
#define _PP_GetPeaksFromTr_Idx_Flat			248		//(double* tr,long trLen, long units, double peakCrit, double measThresh, long* trIdx, double* value, long maxPks, long* pksUsed);
#define _PP_GetPeaksFromTr_Val_Flat			249		//(double* tr, long trLen, long units, double peakCrit, double measThresh, long* trIdx, double* value, long maxPks, long* pksUsed);
#define _PP_GetAnalysisTrace				250		//(long addr, double* frequency, double* sweepTime, double*tr, long* trLen, enum PWR_UNITS* units);

#endif